Skip to main content
GET
/
suno
/
v1
/
fetch
cURL
curl --request GET \
  --url https://api.ttapi.io/suno/v1/fetch \
  --header 'TT-API-KEY: <api-key>'
{
  "status": "SUCCESS",
  "message": "success",
  "jobId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
  "data": {
    "jobId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "action": "music",
    "progress": "100%",
    "mv": "chirp-v5",
    "quota": "6",
    "hookUrl": "https://webhook-test.com/ed9731f4026f04e7c0cfa99e41d2b2fc",
    "musics": [
      {
        "musicId": "xxxxxxxxxxxxxxxxx",
        "prompt": "xxxxxxxxxxxxxxxxxx",
        "title": "xxxxx",
        "tags": "xxxxx",
        "imageUrl": "https://cdn2.suno.ai/xxxxxxxxxxxxxxxxx.jpeg",
        "imageLargeUrl": "https://cdn2.suno.ai/xxxxxxxxxxxxxx.jpeg",
        "audioUrl": "https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp3",
        "videoUrl": "https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp4",
        "duration": "211.44",
        "negativeTags": "xxxxxxxxxxxxxxxxxxx",
        "styleWeight": null,
        "weirdnessConstraint": null,
        "audioWeight": null,
        "createdAt": "2026-03-03T02:23:51.401Z"
      }
    ]
  }
}
⚠️ 此接口已不推荐使用,请改用 /suno/v2/fetch

Authorizations

TT-API-KEY
string
header
required

授权字段,控制台获取授权信息

Query Parameters

jobId
string
required

生成请求返回的jobId

Response

请求成功

status
enum<string>
required
Available options:
ON_QUEUE,
SUCCESS,
FAILED
message
string
required

响应信息

jobId
string

任务id

data
object

音频任务结果

Last modified on March 12, 2026